net.minecraft.world.gen.structure

## Class StructureVillageStart

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureStart
  - - net.minecraft.world.gen.structure.StructureVillageStart

-     public class StructureVillageStart
      extends StructureStart

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.gen.structure.StructureStart

      `components`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructureVillageStart()`
    `StructureVillageStart(World par1World, Random par2Random, int par3, int par4, int par5)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_143017_b(NBTTagCompound nbttagcompound)`
    `void` | `func_143022_a(NBTTagCompound par1NBTTagCompound)`
    `boolean` | `isSizeableStructure()` currently only defined for Villages, returns true if Village has more than 2 non-road components

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureStart

      `func_143018_f, func_143019_e, func_143020_a, func_143021_a, generateStructure, getBoundingBox, getComponents`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StructureVillageStart

          public StructureVillageStart()

    - #### StructureVillageStart

          public StructureVillageStart(World par1World,
                               Random par2Random,
                               int par3,
                               int par4,
                               int par5)

  - ### Method Detail

    - #### isSizeableStructure

          public boolean isSizeableStructure()

      currently only defined for Villages, returns true if Village has more than 2 non-road components
      Overrides:
        `isSizeableStructure` in class `StructureStart`

    - #### func_143022_a

          public void func_143022_a(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `func_143022_a` in class `StructureStart`

    - #### func_143017_b

          public void func_143017_b(NBTTagCompound nbttagcompound)

      Overrides:
        `func_143017_b` in class `StructureStart`